# Office For Mac

All download links lead to Official Microsoft files only including the activator.

## Office Activator

:::info[Activation Guide]

- Run this tool https://office-reset.com/ to reset the Office licenses. (Skip this if you never opened Office apps on your macOS)
- Now run the below listed activator pkg file and install. (**Don't open Office before installing pkg file**)
- Now install Office for your macOS version if its not installed.
- Your office should be activated now.
- If you are still facing any issue, connect with us [here](troubleshoot.md).

:::

pkg files are extracted from the official iso files. These serializer files are only available to paid VLSC subscribers, however anyone can activate Office using it. 

| Serializer            | Activator                                                                                                                                                                     | Applicable On                                        |
|:----------------------|:------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|:-----------------------------------------------------|
| Office 2024 (Preview) | [pkg](https://go.microsoft.com/fwlink/?linkid=2261988)                                                                                                                        | Sonoma, Ventura, Monterey                            |
| Office 2021 ❤️        | [pkg](https://drive.massgrave.dev/Microsoft_Office_LTSC_2021_VL_Serializer.pkg) - [iso](https://drive.massgrave.dev/SWDVD5_Office_Mac_Serializer_2021_MLF_X22-74226.iso)      | Sonoma, Ventura, Monterey, Big Sur, Catalina, Mojave |
| Office 2019 (New)     | [pkg](https://drive.massgrave.dev/Microsoft_Office_2019_VL_Serializer_Universal.pkg) - [iso](https://drive.massgrave.dev/SWDVD5_Office_Mac_Serializer_2019_MLF_X22-61752.iso) | High Sierra, Sierra                                  |
| Office 2016 (New)     | [pkg](https://drive.massgrave.dev/Microsoft_Office_2016_64_VL_Serializer.pkg) - [iso](https://drive.massgrave.dev/SWDVD5_Office_Mac_Serializer_2016_-2_MLF_X21-93585.iso)     | El Capitan, Yosemite                                 |
| Office 2019 (Old)     | [pkg](https://drive.massgrave.dev/Microsoft_Office_2019_VL_Serializer.pkg) - [iso](https://drive.massgrave.dev/SWDVD5_Office_Mac_Serializer_2019_MLF_X21-88135.iso)           |                                                      |
| Office 2016 (Old)     | [pkg](https://drive.massgrave.dev/Microsoft_Office_2016_VL_Serializer.pkg) - [iso](https://drive.massgrave.dev/SWDVD5_Office_Mac_Serializer_2016_MLF_X21-83220.iso)           |                                                      |

------------------------------------------------------------------------

## Office Installer

import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

<Tabs>

<TabItem value="macOS 12, 13, 14" label="Sonoma, Ventura, Monterey ❤️" default>

macOS Sonoma (macOS 14)  
macOS Ventura (macOS 13)  
macOS Monterey (macOS 12)  

Generation - 2021 / 2024

| Application                  | Link                                              |
|:-----------------------------|:--------------------------------------------------|
| Office suite (with Teams) ❤️ | https://go.microsoft.com/fwlink/p/?linkid=2009112 |
| Office suite (without Teams) | https://go.microsoft.com/fwlink/p/?linkid=525133  |
| Word                         | https://go.microsoft.com/fwlink/p/?linkid=525134  |
| Excel                        | https://go.microsoft.com/fwlink/p/?linkid=525135  |
| PowerPoint                   | https://go.microsoft.com/fwlink/p/?linkid=525136  |
| Outlook                      | https://go.microsoft.com/fwlink/p/?linkid=525137  |
| OneNote                      | https://go.microsoft.com/fwlink/p/?linkid=820886  |

</TabItem>

<TabItem value="macOS 11" label="Big Sur" default>

macOS Big Sur (macOS 11)  
Highest supported office version 16.77 (Generation - 2021/2019) (September 2023)  
It's no longer supported by Microsoft, and Office doesn't receive updates.


| Application                  | Link                                                                                                                                                       |
|:-----------------------------|:-----------------------------------------------------------------------------------------------------------------------------------------------------------|
| Office suite (with Teams)    | https://officecdnmac.microsoft.com/pr/C1297A47-86C4-4C1F-97FA-950631F94777/MacAutoupdate/Microsoft_365_and_Office_16.77.23091003_BusinessPro_Installer.pkg |
| Office suite (without Teams) | https://officecdnmac.microsoft.com/pr/C1297A47-86C4-4C1F-97FA-950631F94777/MacAutoupdate/Microsoft_365_and_Office_16.77.23091003_Installer.pkg             |
| Word                         | https://officecdnmac.microsoft.com/pr/C1297A47-86C4-4C1F-97FA-950631F94777/MacAutoupdate/Microsoft_Word_16.77.23091003_Updater.pkg                         |
| Excel                        | https://officecdnmac.microsoft.com/pr/C1297A47-86C4-4C1F-97FA-950631F94777/MacAutoupdate/Microsoft_Excel_16.77.23091003_Updater.pkg                        |
| PowerPoint                   | https://officecdnmac.microsoft.com/pr/C1297A47-86C4-4C1F-97FA-950631F94777/MacAutoupdate/Microsoft_PowerPoint_16.77.23091003_Updater.pkg                   |
| Outlook                      | https://officecdnmac.microsoft.com/pr/C1297A47-86C4-4C1F-97FA-950631F94777/MacAutoupdate/Microsoft_Outlook_16.77.23091003_Updater.pkg                      |
| OneNote                      | https://officecdnmac.microsoft.com/pr/C1297A47-86C4-4C1F-97FA-950631F94777/MacAutoupdate/Microsoft_OneNote_16.77.23091003_Updater.pkg                      |

</TabItem>

<TabItem value="macOS 10.15" label="Catalina" default>

macOS Catalina (10.15)  
Highest supported office version 16.66.1 (Generation - 2021/2019) (October 2022)  
It's no longer supported by Microsoft, and Office doesn't receive updates.

| Application                  | Link                                                                                                                                               |
|:-----------------------------|:---------------------------------------------------------------------------------------------------------------------------------------------------|
| Office suite (with Teams)    | https://officecdnmac.microsoft.com/pr/C1297A47-86C4-4C1F-97FA-950631F94777/MacAutoupdate/Microsoft_Office_16.66.22101101_BusinessPro_Installer.pkg |
| Office suite (without Teams) | https://officecdnmac.microsoft.com/pr/C1297A47-86C4-4C1F-97FA-950631F94777/MacAutoupdate/Microsoft_Office_16.66.22101101_Installer.pkg             |
| Word                         | https://officecdnmac.microsoft.com/pr/C1297A47-86C4-4C1F-97FA-950631F94777/MacAutoupdate/Microsoft_Word_16.66.22101101_Updater.pkg                 |
| Excel                        | https://officecdnmac.microsoft.com/pr/C1297A47-86C4-4C1F-97FA-950631F94777/MacAutoupdate/Microsoft_Excel_16.66.22101101_Updater.pkg                |
| PowerPoint                   | https://officecdnmac.microsoft.com/pr/C1297A47-86C4-4C1F-97FA-950631F94777/MacAutoupdate/Microsoft_PowerPoint_16.66.22101101_Updater.pkg           |
| Outlook                      | https://officecdnmac.microsoft.com/pr/C1297A47-86C4-4C1F-97FA-950631F94777/MacAutoupdate/Microsoft_Outlook_16.66.22101101_Updater.pkg              |
| OneNote                      | https://officecdnmac.microsoft.com/pr/C1297A47-86C4-4C1F-97FA-950631F94777/MacAutoupdate/Microsoft_OneNote_16.66.22101101_Updater.pkg              |

</TabItem>

<TabItem value="macOS 10.14" label="Mojave" default>

macOS Mojave (10.14)  
Highest supported office version 16.54 (Generation - 2021/2019) (October 2021)  
It's no longer supported by Microsoft, and Office doesn't receive updates.

| Application                  | Link                                                                                                                                               |
|:-----------------------------|:---------------------------------------------------------------------------------------------------------------------------------------------------|
| Office suite (with Teams)    | https://officecdnmac.microsoft.com/pr/C1297A47-86C4-4C1F-97FA-950631F94777/MacAutoupdate/Microsoft_Office_16.54.21101001_BusinessPro_Installer.pkg |
| Office suite (without Teams) | https://officecdnmac.microsoft.com/pr/C1297A47-86C4-4C1F-97FA-950631F94777/MacAutoupdate/Microsoft_Office_16.54.21101001_Installer.pkg             |
| Word                         | https://officecdnmac.microsoft.com/pr/C1297A47-86C4-4C1F-97FA-950631F94777/MacAutoupdate/Microsoft_Word_16.54.21101001_Updater.pkg                 |
| Excel                        | https://officecdnmac.microsoft.com/pr/C1297A47-86C4-4C1F-97FA-950631F94777/MacAutoupdate/Microsoft_Excel_16.54.21101001_Updater.pkg                |
| PowerPoint                   | https://officecdnmac.microsoft.com/pr/C1297A47-86C4-4C1F-97FA-950631F94777/MacAutoupdate/Microsoft_PowerPoint_16.54.21101001_Updater.pkg           |
| Outlook                      | https://officecdnmac.microsoft.com/pr/C1297A47-86C4-4C1F-97FA-950631F94777/MacAutoupdate/Microsoft_Outlook_16.54.21101001_Updater.pkg              |
| OneNote                      | https://officecdnmac.microsoft.com/pr/C1297A47-86C4-4C1F-97FA-950631F94777/MacAutoupdate/Microsoft_OneNote_16.54.21101001_Updater.pkg              |

</TabItem>

<TabItem value="macOS 10.13" label="High Sierra" default>

macOS High Sierra (10.13)  
Highest supported office version 16.43.0 (Generation - 2019) (November 2020)  
It's no longer supported by Microsoft, and Office doesn't receive updates.

| Application  | Link                                                                                                                                  |
|:-------------|:--------------------------------------------------------------------------------------------------------------------------------------|
| Office suite | https://officecdn.microsoft.com/pr/C1297A47-86C4-4C1F-97FA-950631F94777/MacAutoupdate/Microsoft_Office_16.43.20110804_Installer.pkg   |
| Word         | https://officecdn.microsoft.com/pr/C1297A47-86C4-4C1F-97FA-950631F94777/MacAutoupdate/Microsoft_Word_16.43.20110804_Updater.pkg       |
| Excel        | https://officecdn.microsoft.com/pr/C1297A47-86C4-4C1F-97FA-950631F94777/MacAutoupdate/Microsoft_Excel_16.43.20110804_Updater.pkg      |
| PowerPoint   | https://officecdn.microsoft.com/pr/C1297A47-86C4-4C1F-97FA-950631F94777/MacAutoupdate/Microsoft_PowerPoint_16.43.20110804_Updater.pkg |
| Outlook      | https://officecdn.microsoft.com/pr/C1297A47-86C4-4C1F-97FA-950631F94777/MacAutoupdate/Microsoft_Outlook_16.43.20110804_Updater.pkg    |
| OneNote      | https://officecdn.microsoft.com/pr/C1297A47-86C4-4C1F-97FA-950631F94777/MacAutoupdate/Microsoft_OneNote_16.43.20110804_Updater.pkg    |

</TabItem>

<TabItem value="macOS 10.12" label="Sierra" default>

macOS Sierra (10.12)  
Highest supported office version 16.30 (Generation - 2019) (October 2019)  
It's no longer supported by Microsoft, and Office doesn't receive updates.

| Application  | Link                                                                                                                                  |
|:-------------|:--------------------------------------------------------------------------------------------------------------------------------------|
| Office suite | https://officecdn.microsoft.com/pr/C1297A47-86C4-4C1F-97FA-950631F94777/MacAutoupdate/Microsoft_Office_16.30.19101301_Installer.pkg   |
| Word         | https://officecdn.microsoft.com/pr/C1297A47-86C4-4C1F-97FA-950631F94777/MacAutoupdate/Microsoft_Word_16.30.19101301_Updater.pkg       |
| Excel        | https://officecdn.microsoft.com/pr/C1297A47-86C4-4C1F-97FA-950631F94777/MacAutoupdate/Microsoft_Excel_16.30.19101301_Updater.pkg      |
| PowerPoint   | https://officecdn.microsoft.com/pr/C1297A47-86C4-4C1F-97FA-950631F94777/MacAutoupdate/Microsoft_PowerPoint_16.30.19101301_Updater.pkg |
| Outlook      | https://officecdn.microsoft.com/pr/C1297A47-86C4-4C1F-97FA-950631F94777/MacAutoupdate/Microsoft_Outlook_16.30.19101301_Updater.pkg    |
| OneNote      | https://officecdn.microsoft.com/pr/C1297A47-86C4-4C1F-97FA-950631F94777/MacAutoupdate/Microsoft_OneNote_16.30.19101301_Updater.pkg    |

</TabItem>

<TabItem value="10.11 & 10.10" label="El Capitan, Yosemite" default>

OS X El Capitan (10.11)  
OS X Yosemite (10.10)  

Highest supported office version 16.16.27 (Generation - 2016) (October 2020)  
It's no longer supported by Microsoft, and Office doesn't receive updates.

| Application  | Link                                                                                                                                  |
|:-------------|:--------------------------------------------------------------------------------------------------------------------------------------|
| Office suite | https://officecdn.microsoft.com/pr/C1297A47-86C4-4C1F-97FA-950631F94777/MacAutoupdate/Microsoft_Office_16.16.20101200_Installer.pkg   |
| Word         | https://officecdn.microsoft.com/pr/C1297A47-86C4-4C1F-97FA-950631F94777/MacAutoupdate/Microsoft_Word_16.16.20101200_Updater.pkg       |
| Excel        | https://officecdn.microsoft.com/pr/C1297A47-86C4-4C1F-97FA-950631F94777/MacAutoupdate/Microsoft_Excel_16.16.20101200_Updater.pkg      |
| PowerPoint   | https://officecdn.microsoft.com/pr/C1297A47-86C4-4C1F-97FA-950631F94777/MacAutoupdate/Microsoft_PowerPoint_16.16.20101200_Updater.pkg |
| Outlook      | https://officecdn.microsoft.com/pr/C1297A47-86C4-4C1F-97FA-950631F94777/MacAutoupdate/Microsoft_Outlook_16.16.20101200_Updater.pkg    |
| OneNote      | https://officecdn.microsoft.com/pr/C1297A47-86C4-4C1F-97FA-950631F94777/MacAutoupdate/Microsoft_OneNote_16.16.20101200_Updater.pkg    |

</TabItem>

<TabItem value="10.5 to 10.9" label="Mavericks, Mountain Lion, Lion, Snow Leopard, Leopard" default>

OS X Mavericks (10.9)  
OS X Mountain Lion (10.8)  
OS X Lion (10.7)  
Mac OS X Snow Leopard (10.6)  
Mac OS X Leopard (10.5)  

Highest supported office version is Office 2011.  
This Office installer does not require activation.  
It's no longer supported by Microsoft, and Office doesn't receive updates.

| Language  | Link                                                                                                                                                                             |
|:----------|:---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| ChnSimp   | [SW_DVD5_Office_Mac_Standard_2011w_SP4_ChnSimp_-3_ISO_MLF_X21-39848.iso](https://drive.massgrave.dev/SW_DVD5_Office_Mac_Standard_2011w_SP4_ChnSimp_-3_ISO_MLF_X21-39848.iso)     |
| ChnTrad   | [SW_DVD5_Office_Mac_Standard_2011w_SP4_ChnTrad_-3_ISO_MLF_X21-39852.iso](https://drive.massgrave.dev/SW_DVD5_Office_Mac_Standard_2011w_SP4_ChnTrad_-3_ISO_MLF_X21-39852.iso)     |
| Danish    | [SW_DVD5_Office_Mac_Standard_2011w_SP4_Danish_-3_ISO_MLF_X21-39844.iso](https://drive.massgrave.dev/SW_DVD5_Office_Mac_Standard_2011w_SP4_Danish_-3_ISO_MLF_X21-39844.iso)       |
| Dutch     | [SW_DVD5_Office_Mac_Standard_2011w_SP4_Dutch_-3_ISO_MLF_X21-39850.iso](https://drive.massgrave.dev/SW_DVD5_Office_Mac_Standard_2011w_SP4_Dutch_-3_ISO_MLF_X21-39850.iso)         |
| English   | [SW_DVD5_Office_Mac_Standard_2011w_SP4_English_-3_ISO_MLF_X21-39841.iso](https://drive.massgrave.dev/SW_DVD5_Office_Mac_Standard_2011w_SP4_English_-3_ISO_MLF_X21-39841.iso)     |
| Finnish   | [SW_DVD5_Office_Mac_Standard_2011w_SP4_Finnish_-3_ISO_MLF_X21-39846.iso](https://drive.massgrave.dev/SW_DVD5_Office_Mac_Standard_2011w_SP4_Finnish_-3_ISO_MLF_X21-39846.iso)     |
| French    | [SW_DVD5_Office_Mac_Standard_2011w_SP4_French_-3_ISO_MLF_X21-39843.iso](https://drive.massgrave.dev/SW_DVD5_Office_Mac_Standard_2011w_SP4_French_-3_ISO_MLF_X21-39843.iso)       |
| German    | [SW_DVD5_Office_Mac_Standard_2011w_SP4_German_-3_ISO_MLF_X21-39853.iso](https://drive.massgrave.dev/SW_DVD5_Office_Mac_Standard_2011w_SP4_German_-3_ISO_MLF_X21-39853.iso)       |
| Italian   | [SW_DVD5_Office_Mac_Standard_2011w_SP4_Italian_-3_ISO_MLF_X21-39849.iso](https://drive.massgrave.dev/SW_DVD5_Office_Mac_Standard_2011w_SP4_Italian_-3_ISO_MLF_X21-39849.iso)     |
| Japanese  | [SW_DVD5_Office_Mac_Standard_2011w_SP4_Japanese_-3_ISO_MLF_X21-39842.iso](https://drive.massgrave.dev/SW_DVD5_Office_Mac_Standard_2011w_SP4_Japanese_-3_ISO_MLF_X21-39842.iso)   |
| Norwegian | [SW_DVD5_Office_Mac_Standard_2011w_SP4_Norwegian_-3_ISO_MLF_X21-39845.iso](https://drive.massgrave.dev/SW_DVD5_Office_Mac_Standard_2011w_SP4_Norwegian_-3_ISO_MLF_X21-39845.iso) |
| Polish    | [SW_DVD5_Office_Mac_Standard_2011w_SP4_Polish_-3_ISO_MLF_X21-39851.iso](https://drive.massgrave.dev/SW_DVD5_Office_Mac_Standard_2011w_SP4_Polish_-3_ISO_MLF_X21-39851.iso)       |
| Russian   | [SW_DVD5_Office_Mac_Standard_2011w_SP4_Russian_-3_ISO_MLF_X21-39854.iso](https://drive.massgrave.dev/SW_DVD5_Office_Mac_Standard_2011w_SP4_Russian_-3_ISO_MLF_X21-39854.iso)     |
| Spanish   | [SW_DVD5_Office_Mac_Standard_2011w_SP4_Spanish_-3_ISO_MLF_X21-39855.iso](https://drive.massgrave.dev/SW_DVD5_Office_Mac_Standard_2011w_SP4_Spanish_-3_ISO_MLF_X21-39855.iso)     |
| Swedish   | [SW_DVD5_Office_Mac_Standard_2011w_SP4_Swedish_-3_ISO_MLF_X21-39847.iso](https://drive.massgrave.dev/SW_DVD5_Office_Mac_Standard_2011w_SP4_Swedish_-3_ISO_MLF_X21-39847.iso)     |

</TabItem>
</Tabs>